Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # ViewsCompatibleConcept Struct Template Reference [Concepts] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename V1, typename V2> struct boost::gil::ViewsCompatibleConcept< V1, V2 > Views are compatible if they have the same color spaces and compatible channel values. Constness and layout are not important for compatibility.
    concept ViewsCompatibleConcept<ImageViewConcept V1, ImageViewConcept V2> {
        where PixelsCompatibleConcept<V1::value_type, P2::value_type>;
    };
## Public Member Functions
void | constraints ()
The documentation for this struct was generated from the following file: gil_concept.hpp